%define name	rpmu
%define iname	rpmui
%define uname	rpmupdate
%define depname	rpmdepcheck
%define devname	rpmudev
%define insname	rpminstaller

# %define Lname		turbopkg
# %define Liname	turbopkg-installer
# %define Luname	tlupdate
# %define Ldepname	depcheck
# %define Linsname	tlinstaller

%define version	 6.4.2
%define release	 2002031501
%define prefix	 /usr
%define serial	2002031501

Summary: Main package-management frontend
Summary(ja):ңУͥѥåƥʥ󥹥ġ
Summary(ja_JP.eucJP):ңУͥѥåƥʥ󥹥ġ
Summary(zh_CN.EUC): [ϵͳ]%{distri}
Summary(zh_TW.Big5): [-At$)B]%{distri}-An$)B-A]$)B-Azu$)B
Name: %{name}
Version: %{version}
Release: %{release}
Group: System/Administration
Obsoletes: turbopkg, turbopkg-installer
Provides: rpmu, rpmui
Copyright: GPL
Prefix: %{prefix}

Source: %{name}-%{PACKAGE_VERSION}.tar.gz

Serial: %{serial}
#Buildroot: /var/tmp/%{name}-%{version}-root
Buildroot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
Requires: distro,rpm == 3.0.3,popt >= 1.5,newt,slang
PreReq: bash
#PreReq: ldconfig,bash
#NoSource: 0

%description
%{name} is a console-mode front-end to the RPM package management
system.  It allows installation, upgrading, and removal of packages,
either from local media or via FTP.  It has many features, all of
which are documented inside the program with context sensitive help.

%changelog
* Fri Mar 15 2002 Noboru Higuchi <nhiguchi@miraclelinux.com>
- Rebuild for the zlib security update

* Fri Jul  7 2000 Kazutomo Yoshii <kazutomo@turbolinux.co.jp>
- support xml version comps, packages,list 
- implemented getlistfromhdlist 
- implemented getlistfromcompsxml
- implemented chkdistrotree.pl

* Sun May 21 2000 Go Taniguchi <go@turbolinux.co.jp>
- fixed many, tlinstaller.

* Thu May 18 2000 Go Taniguchi <go@turbolinux.co.jp>
- added 3rd stage Add tlinstaller

* Sun May 14 2000 Go Taniguchi <go@turbolinux.co.jp>
- added update mode "--update" and /usr/sbin/tlupdate

* Mon May 8 2000 Go Taniguchi <go@turbolinux.co.jp>
- fixed dependency check, and added require sort

* Mon Feb 28 2000 Kazutomo Yoshii <kazutomo@turbolinux.com>
- fixed title

* Wed Feb 16 2000 Kazutomo Yoshii <kazutomo@turbolinux.com>
- change locale to ja_JP.eucJP
 
* Tue Dec 21 1999 Christian Holtje <docwhat@gerf.org>
- CVS automagic updating

#--------------------------------------------------
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n rpmu

%build
%configure --prefix=%{prefix}

make OPTFLAGS="$RPM_OPT_FLAGS" COPT=-DINSTALLER
cp rpmu rpmui
make clean
make OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{prefix}
cp $RPM_BUILD_DIR/%{name}/%{iname} $RPM_BUILD_ROOT/%{prefix}/sbin/

%post
/sbin/symbolic-dtool add %{prefix}/sbin/%{name} pkg
ln -sf %{name} %{prefix}/sbin/%{uname}
ln -sf %{iname} %{prefix}/sbin/%{depname}
ln -sf %{iname} %{prefix}/sbin/%{devname}

%preun
if [ "$1" = "0" ]; then
        /sbin/symbolic-dtool del %{prefix}/sbin/%{name}
	rm -f %{prefix}/sbin/%{uname}
	rm -f %{prefix}/sbin/%{depname}
	rm -f %{prefix}/sbin/%{devname}
fi

%triggerpostun -- turbopkg
/sbin/symbolic-dtool add %{prefix}/sbin/%{name} pkg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING LICENSE
%{prefix}/sbin/%{name}
%{prefix}/sbin/%{iname}
%{prefix}/sbin/cx%{name}.sh
%{prefix}/sbin/genhdlist
%{prefix}/sbin/%{insname}
#%{prefix}/sbin/getlistfromhdlist
%{prefix}/sbin/getlistfromcompsxml
%{prefix}/sbin/chkdistrotree.pl
%{prefix}/man/man8/%{name}.8*
%{prefix}/man/man8/genhdlist.8*
%{prefix}/share/locale/ja/LC_MESSAGES/%{name}.mo

# %dir %{prefix}/share/%{Lname}
